Bug 118215 - New port: audio/qsynth GUI fluidsynth app
Summary: New port: audio/qsynth GUI fluidsynth app
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-23 10:50 UTC by dk
Modified: 2007-12-19 13:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dk 2007-11-23 10:50:02 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	qsynth
#	qsynth/Makefile
#	qsynth/distinfo
#	qsynth/pkg-descr
#	qsynth/pkg-plist
#
echo c - qsynth
mkdir -p qsynth > /dev/null 2>&1
echo x - qsynth/Makefile
sed 's/^X//' >qsynth/Makefile << 'END-of-qsynth/Makefile'
X# New ports collection makefile for:	qsynth
X# Date created:		2007-11-17
X# Whom:			lazyklimm <lazyklimm@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	qsynth
XDISTVERSION=	0.3.1
XCATEGORIES=	audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	qsynth
X
XMAINTAINER=	lazyklimm@gmail.com
XCOMMENT=	Qt fluidsynth front-end application
X
XBUILD_DEPENDS=	qmake:${PORTSDIR}/devel/qmake
XLIB_DEPENDS=	fluidsynth:${PORTSDIR}/audio/fluidsynth
X
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XUSE_QT_VER=	4
XQT_COMPONENTS=	qmake moc uic rcc gui xml
XCFLAGS+=	${PTHREAD_CFLAGS} ${PTHREAD_LIBS}
XCONFIGURE_ARGS+=ac_cv_path_ac_moc=${LOCALBASE}/bin/moc-qt4 ac_cv_path_ac_uic=${LOCALBASE}/bin/uic-qt4 \
X		ac_cv_path_ac_qmake=${LOCALBASE}/bin/qmake-qt4
X
X.include <bsd.port.mk>
END-of-qsynth/Makefile
echo x - qsynth/distinfo
sed 's/^X//' >qsynth/distinfo << 'END-of-qsynth/distinfo'
XMD5 (qsynth-0.3.1.tar.gz) = 41de4b244cd896a1150101855bafbbb8
XSHA256 (qsynth-0.3.1.tar.gz) = 56d0c14f85a9469df97df2d813860a471a71e2206e7e11365e37a3be028a2aa6
XSIZE (qsynth-0.3.1.tar.gz) = 137632
END-of-qsynth/distinfo
echo x - qsynth/pkg-descr
sed 's/^X//' >qsynth/pkg-descr << 'END-of-qsynth/pkg-descr'
XQsynth is a fluidsynth GUI front-end application written in C++ around the Qt4 toolkit using Qt Designer. Eventually it may evolve into a softsynth management application allowing the user to control and manage a variety of command line softsynth but for the moment it wraps the excellent FluidSynth.
X
XWWW:	http://qsynth.sourceforge.net/
END-of-qsynth/pkg-descr
echo x - qsynth/pkg-plist
sed 's/^X//' >qsynth/pkg-plist << 'END-of-qsynth/pkg-plist'
Xbin/qsynth
Xshare/pixmaps/qsynth.png
Xshare/applications/qsynth.desktop
X@dirrmtry share/applications
END-of-qsynth/pkg-plist
exit
Comment 1 Pav Lucistnik freebsd_committer 2007-12-19 12:36:31 UTC
State Changed
From-To: open->closed

New port added, thanks !
Comment 2 dfilter service freebsd_committer 2007-12-19 13:20:28 UTC
pav         2007-12-19 13:20:22 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/qsynth         Makefile distinfo pkg-descr pkg-plist 
  Log:
  Qsynth is a fluidsynth GUI front-end application written in C++ around the Qt4
  toolkit using Qt Designer. Eventually it may evolve into a softsynth management
  application allowing the user to control and manage a variety of command line
  softsynth but for the moment it wraps the excellent FluidSynth.
  
  WWW:    http://qsynth.sourceforge.net/
  
  PR:             ports/118215
  Submitted by:   Dmitry Klimov <lazyklimm@gmail.com>
  
  Revision  Changes    Path
  1.917     +1 -0      ports/audio/Makefile
  1.1       +27 -0     ports/audio/qsynth/Makefile (new)
  1.1       +3 -0      ports/audio/qsynth/distinfo (new)
  1.1       +6 -0      ports/audio/qsynth/pkg-descr (new)
  1.1       +4 -0      ports/audio/qsynth/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"